﻿using System.ComponentModel.DataAnnotations;
using VCommon.VAutoMapper;
using VCommonCoreExample.Entity;

namespace VCommonCoreExample.AppServices.System.Roles.Dto
{
    [AutoMapTo(typeof(Role))]
    public class RoleCreateInput
    {
        [Required]
        public string Name { get; set; }

        [AutoMapJsonConvert]
        public string[] PermissionSet { get; set; }
    }
}