﻿using VCommon.VApplication.Dto;
using VCommon.VAutoMapper;
using VCommonCoreExample.Entity;

namespace VCommonCoreExample.AppServices.System.Roles.Dto
{
    [AutoMapFrom(typeof(Role))]
    public class RoleDto : EntityDto, IHaveName
    {
        public string Name { get; set; }

        [AutoMapJsonConvert]
        public string[] PermissionSet { get; set; }
    }
}