﻿using System;
using VCommon.VAutoMapper;
using VCommonCoreExample.Entity;

namespace VCommonCoreExample.Caching.Models
{
    [AutoMapFrom(typeof(User))]
    public class UserCacheModel
    {

        public bool IsEnable { get; set; }
        public string LoginName { get; set; }

        public string Password { get; set; }

        [AutoMapJsonConvert]
        public Guid[] Roles { get; set; }
    }
}