﻿using System;
using VCommon.VApplication.Dto;
using VCommon.VEntity;

namespace VCommonCoreExample.Entity
{
    public class Organization : VEntityBase, IHaveName, IPassive, ISoftDelete, IFullAuditEntity
    {
        public Guid? ParentOrgId { get; set; }

        public string Name { get; set; }
        public bool IsEnable { get; set; }
        public bool IsAbolish { get; set; }
        public DateTime CreationTime { get; set; }
        public Guid CreationUserId { get; set; }
        public DateTime? LastModificationTime { get; set; }
        public Guid? LastModificationUserId { get; set; }
    }
}