﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using VCommon.VApplication.Dto;

namespace VCommonCoreExample.AppServices.Platform.Dto
{
    public class TenantCreateInput : IHaveName
    {
        [Required]
        public string Code { get; set; }

        [Required]
        public string Name { get; set; }

        [Required]
        public string AdminPassword { get; set; }

        public bool IsEnable { get; set; }
    }
}
