﻿using System.ComponentModel.DataAnnotations;
using VCommon.VApplication.Dto;
using VCommon.VAutoMapper;
using VCommonCoreExample.Entity;

namespace VCommonCoreExample.AppServices.Platform.Dto
{
    [AutoMapTo(typeof(Tenant))]
    public class TenantUpdateInput : EntityDto, IHaveName
    {
        [Required]
        public string Name { get; set; }

        public bool IsEnable { get; set; }
    }
}