﻿using System;
using VCommon.VApplication.Dto;
using VCommon.VAutoMapper;
using VCommonCoreExample.Entity;

namespace VCommonCoreExample.AppServices.System.Users.Dto
{
    [AutoMapFrom(typeof(User))]
    public class UserDto : EntityDto, IHaveName
    {
        [AutoMapJsonConvert()]
        public Guid[] Roles { get; set; }

        public string Name { get; set; }

        public string LoginName { get; set; }

        public bool IsEnable { get; set; }
    }
}