﻿using System;
using System.ComponentModel.DataAnnotations;
using VCommon.VApplication.Dto;
using VCommon.VAutoMapper;
using VCommonCoreExample.Entity;

namespace VCommonCoreExample.AppServices.System.Users.Dto
{
    [AutoMapTo(typeof(User))]
    public class UserUpdateInput : EntityDto
    {
        [Required]
        [AutoMapJsonConvert]
        public Guid[] Roles { get; set; }

        [Required]
        public string Name { get; set; }

        [Required]
        public string LoginName { get; set; }

        public string Password { get; set; }

        public bool IsEnable { get; set; }
    }
}