﻿namespace VCommonCoreExample.Authorization
{
    public static class PermissionCodes
    {
        public static class Platform
        {
            public const string EntryPlatform = nameof(Platform);

            public static class Tenant
            {
                public const string EntryTenant = EntryPlatform + "." + nameof(Tenant);

                public const string Query = EntryTenant + "." + nameof(Query);
                public const string Create = EntryTenant + "." + nameof(Create);
                public const string Update = EntryTenant + "." + nameof(Update);
                public const string Delete = EntryTenant + "." + nameof(Delete);
            }

      
        }

        public static class System
        {
            public const string EntrySystem = nameof(System);

            public static class Role
            {
                public const string EntryRole = EntrySystem + "." + nameof(Role);

                public const string Query = EntryRole + "." + nameof(Query);
                public const string Create = EntryRole + "." + nameof(Create);
                public const string Update = EntryRole + "." + nameof(Update);
                public const string Delete = EntryRole + "." + nameof(Delete);
            }

            public static class Org
            {
                public const string EntryOrg = EntrySystem + "." + nameof(Org);

                public const string Query = EntryOrg + "." + nameof(Query);
                public const string Create = EntryOrg + "." + nameof(Create);
                public const string Update = EntryOrg + "." + nameof(Update);
                public const string Delete = EntryOrg + "." + nameof(Delete);
            }

            public static class User
            {
                public const string EntryUser = EntrySystem + "." + nameof(User);

                public const string Query = EntryUser + "." + nameof(Query);
                public const string Create = EntryUser + "." + nameof(Create);
                public const string Update = EntryUser + "." + nameof(Update);
                public const string Delete = EntryUser + "." + nameof(Delete);
                public const string ResetPassword = EntryUser + "." + nameof(ResetPassword);
            }
        }
    }
}
