﻿using System;
using VCommon.VApplication.Dto;
using VCommon.VAutoMapper;
using VCommon.VEntity;
using VCommonCoreExample.Entity;

namespace VCommonCoreExample.DataStore.Models
{
    [AutoMapFrom(typeof(User))]
    public class UserLoginModel : EntityDto, IMayHaveTenant
    {
        public Guid? TenantId { get; set; }

        public string Password { get; set; }
        public bool IsEnable { get; set; }
    }
}
