﻿using Microsoft.EntityFrameworkCore;
using System;
using VCommon.VApplication.Dto;
using VCommon.VEntity;

namespace VCommonCoreExample.Entity
{
    //[Index(nameof(LicenseId))]
    [Index(nameof(Code), IsUnique = true)]
    public class Tenant : VEntityBase, ISoftDelete, IPassive, IHaveName, IFullAuditEntity
    {
        ///// <summary>
        ///// 许可Id
        ///// </summary>
        //public Guid LicenseId { get; set; }

        public bool IsEnable { get; set; }

        /// <summary>
        /// 租户代码
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 租户名称
        /// </summary>

        public string Name { get; set; }

        public bool IsAbolish { get; set; }
        public DateTime CreationTime { get; set; }
        public Guid CreationUserId { get; set; }
        public DateTime? LastModificationTime { get; set; }
        public Guid? LastModificationUserId { get; set; }
    }
}
